Altibase.jdbc.driver.spec4

## Class ClientSideLob

- java.lang.Object
- - Altibase.jdbc.driver.spec4.ClientSideLob

Direct Known Subclasses:
  ClientSideBlob, ClientSideClob

    public abstract class ClientSideLob
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ClientSideLob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `ensureIntRange(long aLong)`
`protected void` `ensureOpen()`
`void` `setClosed(boolean aClosed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientSideLob

    public ClientSideLob()

### Method Detail

#### setClosed

    public final void setClosed(boolean aClosed)

#### ensureOpen

    protected final void ensureOpen()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### ensureIntRange

    protected final void ensureIntRange(long aLong)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`